apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

namespace: migratieketen

resources:
  - ../../services/np-common
  - ../../services/np-frontend
  - ../../services/np-bvv-backend
  - ../../services/np-notification-backend
  - ../../services/np-sigma-backend
  - ../../services/np-notifications

secretGenerator:
  - name: fsc-config
    files:
      - ../fsc-config.yaml

patches:
  - path: patches/np-bvv-backend-dpl.yaml
  - path: patches/np-sigma-backend-dpl.yaml
  - target:
      kind: Ingress
      name: np-frontend-ing
    patch: |
      - op: replace
        path: /spec/rules/0/host
        value: np-127.0.0.1.nip.io
  - target:
      kind: Ingress
      name: np-notification-backend-ing
    patch: |
      - op: replace
        path: /spec/rules/0/host
        value: np-notification-backend-127.0.0.1.nip.io
  - target:
      kind: Ingress
      name: np-bvv-backend-ing
    patch: |
      - op: replace
        path: /spec/rules/0/host
        value: np-bvv-backend-127.0.0.1.nip.io
  - target:
      kind: Ingress
      name: np-sigma-backend-ing
    patch: |
      - op: replace
        path: /spec/rules/0/host
        value: np-sigma-backend-127.0.0.1.nip.io
